<?php

namespace Modules\Facture\Rules;

use Psr\Http\Message\ServerRequestInterface;

class ModificationFacture
{
    protected ServerRequestInterface $request;
    protected \PDO $pdo;
    protected Main $main;

    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request    = $request;
        $this->pdo        = $pdo;
        $this->main       = new Main($this->request, $this->pdo);
    }

    public function modificationFacture(): bool
    {
        return $this->main->invoiceCreatEditAccess();
    }
    
    public function creationAffectation(): bool
    {
        return $this->main->invoiceCreatEditAccess();
    }
}
